package com.cm.common.exception;

import com.cm.common.exception.base.SystemException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: TokenException
 * @Description: token异常
 * @Author: WangGeng
 * @Date: 2019-08-02 12:57
 * @Version: 1.0
 **/
public class TokenException extends SystemException {

    public TokenException() {
        super();
    }

    public TokenException(String message) {
        super(message);
    }

    public TokenException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public TokenException(String message, Throwable cause) {
        super(message, cause);
    }

    public TokenException(Throwable cause) {
        super(cause);
    }
}
